Summary: LAME Ain't an MP3 Encoder... but it's the best of all
Name: lame
Version: 3.99.3
Release: 1
License: LGPL
Group: Applications/Multimedia
URL: http://lame.sourceforge.net/
Source0: http://dl.sf.net/lame/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Provides: mp3encoder

%description
LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve
the psycho acoustics, noise shaping and speed of MP3. Another goal of
the LAME project is to use these improvements for the basis of a patent
free audio compression codec for the GNU project.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Shared and static libraries for LAME
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
LAME is an educational tool to be used for learning about MP3 encoding.
This package contains both the shared and the static libraries from the
LAME project.

You will also need to install the main lame package in order to install
these libraries.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64 -Dpowf=pow -Dfabsf=fabs -Dlog10f=log10"
export CFLAGS="-O3 -qstrict"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --enable-mp3x \
    --enable-mp3rtp
make %{?_smp_mflags}

cp ./libmp3lame/.libs/libmp3lame.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc -Dpowf=pow -Dfabsf=fabs -Dlog10f=log10"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --enable-decode-layer1 \
    --enable-mp3x \
    --enable-mp3rtp \
    --enable-brhist
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./libmp3lame/.libs/libmp3lame.a ./libmp3lame.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr (-,root,system,-)
%doc ChangeLog COPYING README TODO USAGE doc/html/[a-z]*
%{_bindir}/*
%{_libdir}/*.a
%{_mandir}/man1/*
/usr/bin/*
/usr/lib/*.a


%files devel
%defattr (-,root,system,-)
%doc API HACKING STYLEGUIDE
%{_includedir}/*
%{_libdir}/*.la
/usr/include/*
/usr/lib/*.la


%changelog
* Wed Dec 21 2011 Michael Perzl <michael@perzl.org> - 3.99.3-1
- updated to version 3.99.3

* Mon Nov 28 2011 Michael Perzl <michael@perzl.org> - 3.99.2-1
- updated to version 3.99.2

* Tue Mar 23 2010 Michael Perzl <michael@perzl.org> - 3.98.4-1
- updated to version 3.98.4

* Mon Mar 01 2010 Michael Perzl <michael@perzl.org> - 3.98.3-1
- updated to version 3.98.3

* Fri Sep 26 2008 Michael Perzl <michael@perzl.org> - 3.98.2-1
- updated to version 3.98.2

* Thu Jul 17 2008 Michael Perzl <michael@perzl.org> - 3.98-1
- first version for AIX V5.1 and higher
